The DataManager Class is used to obtain, create or edit the Space elements and Zone elements.
Example #1
0
 /// <summary>
 /// The constructor of ZoneEditorForm class.
 /// </summary>
 /// <param name="dataManager"></param>
 /// <param name="zoneNode"></param>
 public ZoneEditorForm(DataManager dataManager, ZoneNode zoneNode)
 {
     m_dataManager = dataManager;
     m_zoneNode = zoneNode;
     m_zone = m_zoneNode.Zone;
     InitializeComponent();
 }
Example #2
0
        /// <summary>
        /// Implement this method as an external command for Revit.
        /// </summary>
        /// <param name="commandData">An object that is passed to the external application 
        /// which contains data related to the command, 
        /// such as the application object and active view.</param>
        /// <param name="message">A message that can be set by the external application 
        /// which will be displayed if a failure or cancellation is returned by 
        /// the external command.</param>
        /// <param name="elements">A set of elements to which the external application 
        /// can add elements that are to be highlighted in case of failure or cancellation.</param>
        /// <returns>Return the status of the external command. 
        /// A result of Succeeded means that the API external method functioned as expected. 
        /// Cancelled can be used to signify that the user cancelled the external operation 
        /// at some point. Failure should be returned if the application is unable to proceed with 
        /// the operation.</returns>
        public Autodesk.Revit.UI.Result Execute(Autodesk.Revit.UI.ExternalCommandData commandData,
                                               ref string message,
                                               ElementSet elements)
        {
            try
            {
                Transaction documentTransaction = new Transaction(commandData.Application.ActiveUIDocument.Document, "Document");
                documentTransaction.Start();

                // Create a new instance of class DataManager
                DataManager dataManager = new DataManager(commandData);

                System.Windows.Forms.DialogResult result;

                // Create a form
                using (MainForm mainForm = new MainForm(dataManager))
                {
                    result = mainForm.ShowDialog();
                }

                if (result == System.Windows.Forms.DialogResult.OK)
                {
                    documentTransaction.Commit();
                    return Autodesk.Revit.UI.Result.Succeeded;
                }
                else
                {
                    documentTransaction.RollBack();
                    return Autodesk.Revit.UI.Result.Cancelled;
                }
            }
            catch (Exception ex)
            {
                // If there are something wrong, give error information and return failed
                message = ex.Message;
                return Autodesk.Revit.UI.Result.Failed;
            }
        }
Example #3
0
 /// <summary>
 /// The constructor of MainForm.
 /// </summary>
 public MainForm(DataManager dataManager)
 {
     m_dataManager = dataManager;
     InitializeComponent();
 }